Index: petri/src/main/ArcEntering.java
===================================================================
--- petri/src/main/ArcEntering.java	(revision 2)
+++ petri/src/main/ArcEntering.java	(revision 3)
@@ -1,56 +0,0 @@
-package main;
-
-public class ArcEntering extends Arc{
-	
-	private int value;
-
-	public ArcEntering(Place place, int value) {
-		super(place);
-		// TODO Auto-generated constructor stub
-		this.value=value;
-	}
-	
-	public void doTransition() {
-		this.getPlace().changeToken(this.value);
-	}
-	
-	public boolean isActive() {
-		return true;
-	}
-	
-	public boolean isPullable() {
-		return true;
-	}
-	public String toString() {
-		return "ArcEntering value:"+value+", "+this.getPlace();
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS ARCENTERING");
-		
-		System.out.println(" => method isActive()");
-		Place emptyPlace = new Place(0);
-		ArcEntering arce = new ArcEntering(emptyPlace, 3);
-		System.out.println("true : "+arce.isActive());
-
-	
-		System.out.println(" => method isPullable()");
-		Place place3 = new Place(3);
-		ArcEntering arce2 = new ArcEntering(place3, 2);
-		ArcEntering arce4 = new ArcEntering(place3, 4);
-		System.out.println(arce2);
-		System.out.println("true : "+arce2.isPullable());
-		System.out.println(arce4);
-		System.out.println("true : "+arce4.isPullable());
-		
-		System.out.println(" => method doTranstion()");
-		System.out.println("before : "+arce2);
-		arce2.doTransition();
-		System.out.println("after  : "+arce2);
-		System.out.println(" => method equals()");
-		// the method equals is test here because arc is an abstract method
-		System.out.println("true : "+arce2.equals(arce2));
-		System.out.println("false : "+arce2.equals(arce4));
-	}
-	
-
-}
Index: petri/src/main/ArcOutering.java
===================================================================
--- petri/src/main/ArcOutering.java	(revision 2)
+++ petri/src/main/ArcOutering.java	(revision 3)
@@ -1,55 +0,0 @@
-package main;
-
-public class ArcOutering extends Arc{
-	
-	private int value;
-
-	public ArcOutering(Place place, int value) {
-		super(place);
-		this.value=value;
-	}
-	public String toString() {
-		return "ArcOutering value:"+value+", "+this.getPlace();
-	}
-	
-	public void doTransition() {
-		this.getPlace().changeToken(this.value*(-1));
-	}
-	
-	public boolean isActive() {
-		return true;
-	}
-	
-	public boolean isPullable() {
-		return (this.getPlace().getToken()>=value);
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS ARCOUTERING");
-		
-		System.out.println(" => method isActive()");
-		Place emptyPlace = new Place(0);
-		ArcOutering arco = new ArcOutering(emptyPlace, 3);
-		System.out.println("true : "+arco.isActive());
-
-	
-		System.out.println(" => method isPullable()");
-		Place place3 = new Place(3);
-		ArcOutering arco2 = new ArcOutering(place3, 2);
-		ArcOutering arco4 = new ArcOutering(place3, 4);
-		System.out.println(arco2);
-		System.out.println("true : "+arco2.isPullable());
-		System.out.println(arco4);
-		System.out.println("false : "+arco4.isPullable());
-		
-		System.out.println(" => method doTranstion()");
-		System.out.println("before : "+arco2);
-		arco2.doTransition();
-		System.out.println("after  : "+arco2);
-		System.out.println(" => method equals()");
-		// the method equals is test here because arc is an abstract method
-		System.out.println("true : "+arco2.equals(arco2));
-		System.out.println("false : "+arco2.equals(arco4));
-	}
-
-
-}
Index: petri/src/main/Place.java
===================================================================
--- petri/src/main/Place.java	(revision 2)
+++ petri/src/main/Place.java	(revision 3)
@@ -1,57 +0,0 @@
-package main;
-
-public class Place {
-	
-	private int token;
-	
-	public Place(int token) {
-		this.token=token;
-	}
-	
-	public int getToken() {
-		return this.token;
-	}
-	public String toString() {
-		return "Place Token : "+token;
-	}
-	
-	public boolean isEmpty() {
-		return (this.token==0);
-	}
-	
-	public void changeToken(int i) {
-		token += i;
-	}
-	
-	public boolean equals(Object o) {
-		if((o instanceof Place) &&(System.identityHashCode(((Place)o))==System.identityHashCode(this))) {
-			return true;
-		}
-		else {
-			return false;
-		}
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS PLACE");
-		
-		System.out.println(" => method isEmpty()");
-		Place emptyPlace = new Place(0);
-		System.out.println("true : "+emptyPlace.isEmpty());
-		Place notEmptyPlace = new Place(2);
-		System.out.println("true : "+notEmptyPlace.isEmpty());
-	
-		System.out.println(" => method changeToken(int i)");
-		Place place3 = new Place(3);
-		place3.changeToken(5);
-		System.out.println("3 + 5 = "+place3.getToken());
-		place3.changeToken(-4);
-		System.out.println("8 - 4 = "+place3.getToken());
-		
-		System.out.println(" => method equals()");
-		Place place1 = new Place(0);
-		Place place2 = new Place(0);
-		System.out.println("true : "+place1.equals(place1));
-		System.out.println("false : "+place1.equals(place2));
-	}
-
-}
Index: petri/src/main/Arc.java
===================================================================
--- petri/src/main/Arc.java	(revision 2)
+++ petri/src/main/Arc.java	(revision 3)
@@ -1,24 +0,0 @@
-package main;
-
-public abstract class Arc implements ArcInterface {
-	
-	private Place place;
-	
-	public Arc(Place place) {
-		this.place=place;
-	}
-	
-	public Place getPlace() {
-		return this.place;
-	}
-	public boolean equals(Object o) {
-		if((o instanceof Arc) &&(System.identityHashCode(((Arc)o))==System.identityHashCode(this))) {
-			return true;
-		}
-		else {
-			return false;
-		}
-		
-	}
-
-}
Index: petri/src/main/ArcZero.java
===================================================================
--- petri/src/main/ArcZero.java	(revision 2)
+++ petri/src/main/ArcZero.java	(revision 3)
@@ -1,48 +0,0 @@
-package main;
-
-public class ArcZero extends ArcOutering {
-	
-	public ArcZero(Place place, int value) {
-		super(place, value);
-		// TODO Auto-generated constructor stub
-	}
-	
-	public void doTransition() {
-	}
-	public boolean isActive() {
-		return (this.getPlace().getToken()==0);
-	}
-	public boolean isPullable() {
-		return this.isActive();
-	}
-	public String toString() {
-		return "ArcZero, "+this.getPlace(); 
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS ARCZERO");
-		
-		System.out.println(" => method isActive()");
-		Place emptyPlace = new Place(0);
-		ArcZero arcc1 = new ArcZero(emptyPlace,2);
-		Place place3 = new Place(3);
-		ArcZero arcc2 = new ArcZero(place3,2);
-		System.out.println(arcc1);
-		System.out.println("true : "+arcc1.isActive());
-		System.out.println(arcc2);
-		System.out.println("false : "+arcc2.isActive());
-
-	
-		System.out.println(" => method isPullable()");
-		System.out.println(arcc1);
-		System.out.println("false : "+arcc1.isPullable());
-		System.out.println(arcc2);
-		System.out.println("true : "+arcc2.isPullable());
-
-		System.out.println(" => method doTranstion()");
-		System.out.println("before : "+arcc2);
-		arcc2.doTransition();
-		System.out.println("after  : "+arcc2);
-
-	}
-
-}
Index: petri/src/main/ArcInterface.java
===================================================================
--- petri/src/main/ArcInterface.java	(revision 2)
+++ petri/src/main/ArcInterface.java	(revision 3)
@@ -1,9 +0,0 @@
-package main;
-
-public interface ArcInterface {
-	
-	public void doTransition();
-	public boolean isPullable();
-	public boolean isActive();
-
-}
Index: petri/src/main/Transition.java
===================================================================
--- petri/src/main/Transition.java	(revision 2)
+++ petri/src/main/Transition.java	(revision 3)
@@ -1,70 +0,0 @@
-package main;
-
-import java.util.ArrayList;
-import java.util.List;
-
-public class Transition {
-	
-	
-	private List<Arc> arcList;
-	
-	public String toString() {
-		String res= " [";
-		for(int i=0;arcList.size()>i;i++ ) {
-			res=res+arcList.get(i).toString()+" // ";
-		}
-		res=res+"] ";
-		return res;
-	}
-
-	public Transition() {
-		this.arcList=new ArrayList<Arc>();
-	}
-	
-
-	public boolean isPullable() {
-		int i=0;
-		boolean res=true;
-		while(i<this.arcList.size() && res==true) {
-			res=this.arcList.get(i).isPullable();
-			i=i+1;
-		}
-		return res;
-	}
-	
-	public void doTransition() {
-		if (this.isPullable()==true) {
-			for (int i=0; i<arcList.size();i++) {
-				arcList.get(i).doTransition();
-			}
-		}
-	}
-	public List<Arc> getArcList(){
-		return this.arcList;
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS TRANSITION");
-		
-		Transition t1=new Transition();
-		t1.arcList.add(new ArcOutering(new Place(4), 2));
-		t1.arcList.add(new ArcEntering(new Place(4), 1));
-
-		Transition t2=new Transition();
-		t2.arcList.add(new ArcOutering(new Place(2), 3));
-		t2.arcList.add(new ArcEntering(new Place(2), 3));
-	
-		System.out.println(" => method isPullable()");
-
-		System.out.println(t1);
-		System.out.println("true : "+t1.isPullable());
-		System.out.println(t2);
-		System.out.println("false : "+t2.isPullable());
-		
-		System.out.println(" => method doTranstion()");
-		System.out.println("before : "+t1);
-		t1.doTransition();
-		System.out.println("after  : "+t1);
-
-
-	}
-}
Index: petri/src/main/ArcCleaner.java
===================================================================
--- petri/src/main/ArcCleaner.java	(revision 2)
+++ petri/src/main/ArcCleaner.java	(revision 3)
@@ -1,54 +0,0 @@
-package main;
-
-public class ArcCleaner extends Arc{
-	
-
-	public ArcCleaner(Place place) {
-		super(place);
-	
-	}
-	
-	public void doTransition() {
-		if (this.isActive()==true) {
-			this.getPlace().changeToken(-this.getPlace().getToken());
-		}
-	}
-	
-	public boolean isActive() {
-		return (this.getPlace().getToken()>0);
-	}
-	
-	public boolean isPullable() {
-		return this.isActive();
-	}
-	public String toString() {
-		return "ArcCleaner,"+this.getPlace();
-	}
-	public static void main(String[] args) {
-		System.out.println("TEST METHODS ARCCLEANER");
-		
-		System.out.println(" => method isActive()");
-		Place emptyPlace = new Place(0);
-		ArcCleaner arcc1 = new ArcCleaner(emptyPlace);
-		Place place3 = new Place(3);
-		ArcCleaner arcc2 = new ArcCleaner(place3);
-		System.out.println("false : "+arcc1.isActive());
-		System.out.println("true : "+arcc2.isActive());
-
-	
-		System.out.println(" => method isPullable()");
-		System.out.println(arcc1);
-		System.out.println("false : "+arcc1.isPullable());
-		System.out.println(arcc2);
-		System.out.println("true : "+arcc2.isPullable());
-
-		System.out.println(" => method doTranstion()");
-		System.out.println("before : "+arcc2);
-		arcc2.doTransition();
-		System.out.println("after  : "+arcc2);
-
-	}
-	
-	
-
-}
Index: petri/src/main/Network.java
===================================================================
--- petri/src/main/Network.java	(revision 2)
+++ petri/src/main/Network.java	(revision 3)
@@ -4,6 +4,14 @@
 import java.util.ArrayList;
 import java.util.List;
 
+import arc.Arc;
+import arc.ArcCleaner;
+import arc.ArcEntering;
+import arc.ArcOutering;
+import arc.ArcZero;
+import element.Place;
+import element.Transition;
+
 public class Network {
 	public static int ArcOutering = 2;
 	public static int ArcCleaner = 1;
Index: petri/src/arc/ArcCleaner.java
===================================================================
--- petri/src/arc/ArcCleaner.java	(revision 0)
+++ petri/src/arc/ArcCleaner.java	(revision 3)
@@ -0,0 +1,56 @@
+package arc;
+
+import element.Place;
+
+public class ArcCleaner extends Arc{
+	
+
+	public ArcCleaner(Place place) {
+		super(place);
+	
+	}
+	
+	public void doTransition() {
+		if (this.isActive()==true) {
+			this.getPlace().changeToken(-this.getPlace().getToken());
+		}
+	}
+	
+	public boolean isActive() {
+		return (this.getPlace().getToken()>0);
+	}
+	
+	public boolean isPullable() {
+		return this.isActive();
+	}
+	public String toString() {
+		return "ArcCleaner,"+this.getPlace();
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS ARCCLEANER");
+		
+		System.out.println(" => method isActive()");
+		Place emptyPlace = new Place(0);
+		ArcCleaner arcc1 = new ArcCleaner(emptyPlace);
+		Place place3 = new Place(3);
+		ArcCleaner arcc2 = new ArcCleaner(place3);
+		System.out.println("false : "+arcc1.isActive());
+		System.out.println("true : "+arcc2.isActive());
+
+	
+		System.out.println(" => method isPullable()");
+		System.out.println(arcc1);
+		System.out.println("false : "+arcc1.isPullable());
+		System.out.println(arcc2);
+		System.out.println("true : "+arcc2.isPullable());
+
+		System.out.println(" => method doTranstion()");
+		System.out.println("before : "+arcc2);
+		arcc2.doTransition();
+		System.out.println("after  : "+arcc2);
+
+	}
+	
+	
+
+}

Property changes on: petri/src/arc/ArcCleaner.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/arc/ArcEntering.java
===================================================================
--- petri/src/arc/ArcEntering.java	(revision 0)
+++ petri/src/arc/ArcEntering.java	(revision 3)
@@ -0,0 +1,58 @@
+package arc;
+
+import element.Place;
+
+public class ArcEntering extends Arc{
+	
+	private int value;
+
+	public ArcEntering(Place place, int value) {
+		super(place);
+		// TODO Auto-generated constructor stub
+		this.value=value;
+	}
+	
+	public void doTransition() {
+		this.getPlace().changeToken(this.value);
+	}
+	
+	public boolean isActive() {
+		return true;
+	}
+	
+	public boolean isPullable() {
+		return true;
+	}
+	public String toString() {
+		return "ArcEntering value:"+value+", "+this.getPlace();
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS ARCENTERING");
+		
+		System.out.println(" => method isActive()");
+		Place emptyPlace = new Place(0);
+		ArcEntering arce = new ArcEntering(emptyPlace, 3);
+		System.out.println("true : "+arce.isActive());
+
+	
+		System.out.println(" => method isPullable()");
+		Place place3 = new Place(3);
+		ArcEntering arce2 = new ArcEntering(place3, 2);
+		ArcEntering arce4 = new ArcEntering(place3, 4);
+		System.out.println(arce2);
+		System.out.println("true : "+arce2.isPullable());
+		System.out.println(arce4);
+		System.out.println("true : "+arce4.isPullable());
+		
+		System.out.println(" => method doTranstion()");
+		System.out.println("before : "+arce2);
+		arce2.doTransition();
+		System.out.println("after  : "+arce2);
+		System.out.println(" => method equals()");
+		// the method equals is test here because arc is an abstract method
+		System.out.println("true : "+arce2.equals(arce2));
+		System.out.println("false : "+arce2.equals(arce4));
+	}
+	
+
+}

Property changes on: petri/src/arc/ArcEntering.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/arc/ArcOutering.java
===================================================================
--- petri/src/arc/ArcOutering.java	(revision 0)
+++ petri/src/arc/ArcOutering.java	(revision 3)
@@ -0,0 +1,57 @@
+package arc;
+
+import element.Place;
+
+public class ArcOutering extends Arc{
+	
+	private int value;
+
+	public ArcOutering(Place place, int value) {
+		super(place);
+		this.value=value;
+	}
+	public String toString() {
+		return "ArcOutering value:"+value+", "+this.getPlace();
+	}
+	
+	public void doTransition() {
+		this.getPlace().changeToken(this.value*(-1));
+	}
+	
+	public boolean isActive() {
+		return true;
+	}
+	
+	public boolean isPullable() {
+		return (this.getPlace().getToken()>=value);
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS ARCOUTERING");
+		
+		System.out.println(" => method isActive()");
+		Place emptyPlace = new Place(0);
+		ArcOutering arco = new ArcOutering(emptyPlace, 3);
+		System.out.println("true : "+arco.isActive());
+
+	
+		System.out.println(" => method isPullable()");
+		Place place3 = new Place(3);
+		ArcOutering arco2 = new ArcOutering(place3, 2);
+		ArcOutering arco4 = new ArcOutering(place3, 4);
+		System.out.println(arco2);
+		System.out.println("true : "+arco2.isPullable());
+		System.out.println(arco4);
+		System.out.println("false : "+arco4.isPullable());
+		
+		System.out.println(" => method doTranstion()");
+		System.out.println("before : "+arco2);
+		arco2.doTransition();
+		System.out.println("after  : "+arco2);
+		System.out.println(" => method equals()");
+		// the method equals is test here because arc is an abstract method
+		System.out.println("true : "+arco2.equals(arco2));
+		System.out.println("false : "+arco2.equals(arco4));
+	}
+
+
+}

Property changes on: petri/src/arc/ArcOutering.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/arc/Arc.java
===================================================================
--- petri/src/arc/Arc.java	(revision 0)
+++ petri/src/arc/Arc.java	(revision 3)
@@ -0,0 +1,26 @@
+package arc;
+
+import element.Place;
+
+public abstract class Arc implements ArcInterface {
+	
+	private Place place;
+	
+	public Arc(Place place) {
+		this.place=place;
+	}
+	
+	public Place getPlace() {
+		return this.place;
+	}
+	public boolean equals(Object o) {
+		if((o instanceof Arc) &&(System.identityHashCode(((Arc)o))==System.identityHashCode(this))) {
+			return true;
+		}
+		else {
+			return false;
+		}
+		
+	}
+
+}

Property changes on: petri/src/arc/Arc.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/arc/ArcZero.java
===================================================================
--- petri/src/arc/ArcZero.java	(revision 0)
+++ petri/src/arc/ArcZero.java	(revision 3)
@@ -0,0 +1,50 @@
+package arc;
+
+import element.Place;
+
+public class ArcZero extends ArcOutering {
+	
+	public ArcZero(Place place, int value) {
+		super(place, value);
+		// TODO Auto-generated constructor stub
+	}
+	
+	public void doTransition() {
+	}
+	public boolean isActive() {
+		return (this.getPlace().getToken()==0);
+	}
+	public boolean isPullable() {
+		return this.isActive();
+	}
+	public String toString() {
+		return "ArcZero, "+this.getPlace(); 
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS ARCZERO");
+		
+		System.out.println(" => method isActive()");
+		Place emptyPlace = new Place(0);
+		ArcZero arcc1 = new ArcZero(emptyPlace,2);
+		Place place3 = new Place(3);
+		ArcZero arcc2 = new ArcZero(place3,2);
+		System.out.println(arcc1);
+		System.out.println("true : "+arcc1.isActive());
+		System.out.println(arcc2);
+		System.out.println("false : "+arcc2.isActive());
+
+	
+		System.out.println(" => method isPullable()");
+		System.out.println(arcc1);
+		System.out.println("false : "+arcc1.isPullable());
+		System.out.println(arcc2);
+		System.out.println("true : "+arcc2.isPullable());
+
+		System.out.println(" => method doTranstion()");
+		System.out.println("before : "+arcc2);
+		arcc2.doTransition();
+		System.out.println("after  : "+arcc2);
+
+	}
+
+}

Property changes on: petri/src/arc/ArcZero.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/arc/ArcInterface.java
===================================================================
--- petri/src/arc/ArcInterface.java	(revision 0)
+++ petri/src/arc/ArcInterface.java	(revision 3)
@@ -0,0 +1,9 @@
+package arc;
+
+public interface ArcInterface {
+	
+	public void doTransition();
+	public boolean isPullable();
+	public boolean isActive();
+
+}

Property changes on: petri/src/arc/ArcInterface.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/element/Place.java
===================================================================
--- petri/src/element/Place.java	(revision 0)
+++ petri/src/element/Place.java	(revision 3)
@@ -0,0 +1,57 @@
+package element;
+
+public class Place {
+	
+	private int token;
+	
+	public Place(int token) {
+		this.token=token;
+	}
+	
+	public int getToken() {
+		return this.token;
+	}
+	public String toString() {
+		return "Place Token : "+token;
+	}
+	
+	public boolean isEmpty() {
+		return (this.token==0);
+	}
+	
+	public void changeToken(int i) {
+		token += i;
+	}
+	
+	public boolean equals(Object o) {
+		if((o instanceof Place) &&(System.identityHashCode(((Place)o))==System.identityHashCode(this))) {
+			return true;
+		}
+		else {
+			return false;
+		}
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS PLACE");
+		
+		System.out.println(" => method isEmpty()");
+		Place emptyPlace = new Place(0);
+		System.out.println("true : "+emptyPlace.isEmpty());
+		Place notEmptyPlace = new Place(2);
+		System.out.println("true : "+notEmptyPlace.isEmpty());
+	
+		System.out.println(" => method changeToken(int i)");
+		Place place3 = new Place(3);
+		place3.changeToken(5);
+		System.out.println("3 + 5 = "+place3.getToken());
+		place3.changeToken(-4);
+		System.out.println("8 - 4 = "+place3.getToken());
+		
+		System.out.println(" => method equals()");
+		Place place1 = new Place(0);
+		Place place2 = new Place(0);
+		System.out.println("true : "+place1.equals(place1));
+		System.out.println("false : "+place1.equals(place2));
+	}
+
+}

Property changes on: petri/src/element/Place.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: petri/src/element/Transition.java
===================================================================
--- petri/src/element/Transition.java	(revision 0)
+++ petri/src/element/Transition.java	(revision 3)
@@ -0,0 +1,74 @@
+package element;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import arc.Arc;
+import arc.ArcEntering;
+import arc.ArcOutering;
+
+public class Transition {
+	
+	
+	private List<Arc> arcList;
+	
+	public String toString() {
+		String res= " [";
+		for(int i=0;arcList.size()>i;i++ ) {
+			res=res+arcList.get(i).toString()+" // ";
+		}
+		res=res+"] ";
+		return res;
+	}
+
+	public Transition() {
+		this.arcList=new ArrayList<Arc>();
+	}
+	
+
+	public boolean isPullable() {
+		int i=0;
+		boolean res=true;
+		while(i<this.arcList.size() && res==true) {
+			res=this.arcList.get(i).isPullable();
+			i=i+1;
+		}
+		return res;
+	}
+	
+	public void doTransition() {
+		if (this.isPullable()==true) {
+			for (int i=0; i<arcList.size();i++) {
+				arcList.get(i).doTransition();
+			}
+		}
+	}
+	public List<Arc> getArcList(){
+		return this.arcList;
+	}
+	public static void main(String[] args) {
+		System.out.println("TEST METHODS TRANSITION");
+		
+		Transition t1=new Transition();
+		t1.arcList.add(new ArcOutering(new Place(4), 2));
+		t1.arcList.add(new ArcEntering(new Place(4), 1));
+
+		Transition t2=new Transition();
+		t2.arcList.add(new ArcOutering(new Place(2), 3));
+		t2.arcList.add(new ArcEntering(new Place(2), 3));
+	
+		System.out.println(" => method isPullable()");
+
+		System.out.println(t1);
+		System.out.println("true : "+t1.isPullable());
+		System.out.println(t2);
+		System.out.println("false : "+t2.isPullable());
+		
+		System.out.println(" => method doTranstion()");
+		System.out.println("before : "+t1);
+		t1.doTransition();
+		System.out.println("after  : "+t1);
+
+
+	}
+}

Property changes on: petri/src/element/Transition.java
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property