Index: ArcZero.html
===================================================================
--- ArcZero.html	(revision 5)
+++ ArcZero.html	(revision 6)
@@ -2,10 +2,10 @@
 <!-- NewPage -->
 <html lang="fr">
 <head>
-<!-- Generated by javadoc (11.0.8) on Mon Nov 02 17:36:44 CET 2020 -->
+<!-- Generated by javadoc (11.0.8) on Fri Nov 13 10:59:17 CET 2020 -->
 <title>ArcZero</title>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="dc.created" content="2020-11-02">
+<meta name="dc.created" content="2020-11-13">
 <link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
 <link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
 <script type="text/javascript" src="../script.js"></script>
@@ -204,17 +204,23 @@
 <tr id="i0" class="altColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#doTransition()">doTransition</a></span>()</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">Do the transition for the ArcZero (do nothing)</div>
+</td>
 </tr>
 <tr id="i1" class="rowColor">
 <td class="colFirst"><code>boolean</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isActive()">isActive</a></span>()</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">Check if the place is active</div>
+</td>
 </tr>
 <tr id="i2" class="altColor">
 <td class="colFirst"><code>boolean</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPullable()">isPullable</a></span>()</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">Check if the place is pullable</div>
+</td>
 </tr>
 <tr id="i3" class="rowColor">
 <td class="colFirst"><code>java.lang.String</code></td>
@@ -267,6 +273,11 @@
 <h4>ArcZero</h4>
 <pre>public&nbsp;ArcZero&#8203;(<a href="../element/Place.html" title="class in element">Place</a>&nbsp;place,
                int&nbsp;value)</pre>
+<dl>
+<dt><span class="paramLabel">Parameters:</span></dt>
+<dd><code>the</code> - place link to ArcZero and the value of this Arc
+ Constructor for ArcZero</dd>
+</dl>
 </li>
 </ul>
 </li>
@@ -286,6 +297,7 @@
 <li class="blockList">
 <h4>doTransition</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;doTransition()</pre>
+<div class="block">Do the transition for the ArcZero (do nothing)</div>
 <dl>
 <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
 <dd><code><a href="ArcInterface.html#doTransition()">doTransition</a></code>&nbsp;in interface&nbsp;<code><a href="ArcInterface.html" title="interface in arcElement">ArcInterface</a></code></dd>
@@ -301,11 +313,14 @@
 <li class="blockList">
 <h4>isActive</h4>
 <pre class="methodSignature">public&nbsp;boolean&nbsp;isActive()</pre>
+<div class="block">Check if the place is active</div>
 <dl>
 <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
 <dd><code><a href="ArcInterface.html#isActive()">isActive</a></code>&nbsp;in interface&nbsp;<code><a href="ArcInterface.html" title="interface in arcElement">ArcInterface</a></code></dd>
 <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
 <dd><code><a href="ArcOutering.html#isActive()">isActive</a></code>&nbsp;in class&nbsp;<code><a href="ArcOutering.html" title="class in arcElement">ArcOutering</a></code></dd>
+<dt><span class="returnLabel">Returns:</span></dt>
+<dd>true if place token at 0</dd>
 </dl>
 </li>
 </ul>
@@ -316,11 +331,14 @@
 <li class="blockList">
 <h4>isPullable</h4>
 <pre class="methodSignature">public&nbsp;boolean&nbsp;isPullable()</pre>
+<div class="block">Check if the place is pullable</div>
 <dl>
 <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
 <dd><code><a href="ArcInterface.html#isPullable()">isPullable</a></code>&nbsp;in interface&nbsp;<code><a href="ArcInterface.html" title="interface in arcElement">ArcInterface</a></code></dd>
 <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
 <dd><code><a href="ArcOutering.html#isPullable()">isPullable</a></code>&nbsp;in class&nbsp;<code><a href="ArcOutering.html" title="class in arcElement">ArcOutering</a></code></dd>
+<dt><span class="returnLabel">Returns:</span></dt>
+<dd>true if place token at 0</dd>
 </dl>
 </li>
 </ul>
@@ -334,6 +352,8 @@
 <dl>
 <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
 <dd><code><a href="ArcOutering.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="ArcOutering.html" title="class in arcElement">ArcOutering</a></code></dd>
+<dt><span class="returnLabel">Returns:</span></dt>
+<dd>a string that describe the ArcZero</dd>
 </dl>
 </li>
 </ul>