Index: index-7.html
===================================================================
--- index-7.html	(revision 5)
+++ index-7.html	(revision 6)
@@ -2,10 +2,10 @@
 <!-- NewPage -->
 <html lang="fr">
 <head>
-<!-- Generated by javadoc (11.0.8) on Mon Nov 02 17:36:44 CET 2020 -->
+<!-- Generated by javadoc (11.0.8) on Fri Nov 13 10:59:17 CET 2020 -->
 <title>I-Index</title>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="dc.created" content="2020-11-02">
+<meta name="dc.created" content="2020-11-13">
 <link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
 <link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
 <script type="text/javascript" src="../script.js"></script>
@@ -100,27 +100,47 @@
 <h2 class="title">I</h2>
 <dl>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcCleaner.html#isActive()">isActive()</a></span> - Method in class arcElement.<a href="../arcElement/ArcCleaner.html" title="class in arcElement">ArcCleaner</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the place is active</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcEntering.html#isActive()">isActive()</a></span> - Method in class arcElement.<a href="../arcElement/ArcEntering.html" title="class in arcElement">ArcEntering</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the ArcEntering is active (always true)</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcInterface.html#isActive()">isActive()</a></span> - Method in interface arcElement.<a href="../arcElement/ArcInterface.html" title="interface in arcElement">ArcInterface</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Method that check if it is active</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcOutering.html#isActive()">isActive()</a></span> - Method in class arcElement.<a href="../arcElement/ArcOutering.html" title="class in arcElement">ArcOutering</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the ArcOutering is active (always true)</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcZero.html#isActive()">isActive()</a></span> - Method in class arcElement.<a href="../arcElement/ArcZero.html" title="class in arcElement">ArcZero</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the place is active</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../element/Place.html#isEmpty()">isEmpty()</a></span> - Method in class element.<a href="../element/Place.html" title="class in element">Place</a></dt>
 <dd>&nbsp;</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcCleaner.html#isPullable()">isPullable()</a></span> - Method in class arcElement.<a href="../arcElement/ArcCleaner.html" title="class in arcElement">ArcCleaner</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the place is pullable</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcEntering.html#isPullable()">isPullable()</a></span> - Method in class arcElement.<a href="../arcElement/ArcEntering.html" title="class in arcElement">ArcEntering</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the ArcEntering is Pullable (always true)</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcInterface.html#isPullable()">isPullable()</a></span> - Method in interface arcElement.<a href="../arcElement/ArcInterface.html" title="interface in arcElement">ArcInterface</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Method that check if it is pullable</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcOutering.html#isPullable()">isPullable()</a></span> - Method in class arcElement.<a href="../arcElement/ArcOutering.html" title="class in arcElement">ArcOutering</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the ArcOutering is Pullable</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../arcElement/ArcZero.html#isPullable()">isPullable()</a></span> - Method in class arcElement.<a href="../arcElement/ArcZero.html" title="class in arcElement">ArcZero</a></dt>
-<dd>&nbsp;</dd>
+<dd>
+<div class="block">Check if the place is pullable</div>
+</dd>
 <dt><span class="memberNameLink"><a href="../element/Transition.html#isPullable()">isPullable()</a></span> - Method in class element.<a href="../element/Transition.html" title="class in element">Transition</a></dt>
 <dd>&nbsp;</dd>
 </dl>