Index: Network.html
===================================================================
--- Network.html	(revision 6)
+++ Network.html	(revision 7)
@@ -2,7 +2,7 @@
 <!-- NewPage -->
 <html lang="fr">
 <head>
-<!-- Generated by javadoc (11.0.8) on Fri Nov 13 10:59:17 CET 2020 -->
+<!-- Generated by javadoc (11.0.8) on Fri Nov 13 11:20:05 CET 2020 -->
 <title>Network</title>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <meta name="dc.created" content="2020-11-13">
@@ -243,37 +243,51 @@
       <a href="../element/Place.html" title="class in element">Place</a>&nbsp;place,
       int&nbsp;value,
       int&nbsp;identifier)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">create a new arc</div>
+</td>
 </tr>
 <tr id="i1" class="rowColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPlace(int)">addPlace</a></span>&#8203;(int&nbsp;value)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">create a new place</div>
+</td>
 </tr>
 <tr id="i2" class="altColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addTransition()">addTransition</a></span>()</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">create a new transition</div>
+</td>
 </tr>
 <tr id="i3" class="rowColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteArc(arcElement.Arc)">deleteArc</a></span>&#8203;(<a href="../arcElement/Arc.html" title="class in arcElement">Arc</a>&nbsp;a)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">delete an arc</div>
+</td>
 </tr>
 <tr id="i4" class="altColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deletePlace(element.Place)">deletePlace</a></span>&#8203;(<a href="../element/Place.html" title="class in element">Place</a>&nbsp;place)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">delete a place an the arcs link to it</div>
+</td>
 </tr>
 <tr id="i5" class="rowColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteTransition(element.Transition)">deleteTransition</a></span>&#8203;(<a href="../element/Transition.html" title="class in element">Transition</a>&nbsp;transition)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">delete a transition</div>
+</td>
 </tr>
 <tr id="i6" class="altColor">
 <td class="colFirst"><code>void</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fire(element.Transition)">fire</a></span>&#8203;(<a href="../element/Transition.html" title="class in element">Transition</a>&nbsp;transition)</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">fire the transition selected</div>
+</td>
 </tr>
 <tr id="i7" class="rowColor">
 <td class="colFirst"><code>java.util.List&lt;<a href="../element/Transition.html" title="class in element">Transition</a>&gt;</code></td>
@@ -293,7 +307,9 @@
 <tr id="i10" class="altColor">
 <td class="colFirst"><code>java.lang.String</code></td>
 <th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
-<td class="colLast">&nbsp;</td>
+<td class="colLast">
+<div class="block">string  representation of a network</div>
+</td>
 </tr>
 </table>
 <ul class="blockList">
@@ -391,6 +407,7 @@
 <li class="blockList">
 <h4>addTransition</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;addTransition()</pre>
+<div class="block">create a new transition</div>
 </li>
 </ul>
 <a id="addPlace(int)">
@@ -401,6 +418,7 @@
 <h4>addPlace</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;addPlace&#8203;(int&nbsp;value)
               throws <a href="../element/Place.UndefinedToken.html" title="class in element">Place.UndefinedToken</a></pre>
+<div class="block">create a new place</div>
 <dl>
 <dt><span class="throwsLabel">Throws:</span></dt>
 <dd><code><a href="../element/Place.UndefinedToken.html" title="class in element">Place.UndefinedToken</a></code></dd>
@@ -418,7 +436,13 @@
                    int&nbsp;value,
                    int&nbsp;identifier)
             throws <a href="Network.UndefinedIdentifier.html" title="class in main">Network.UndefinedIdentifier</a></pre>
+<div class="block">create a new arc</div>
 <dl>
+<dt><span class="paramLabel">Parameters:</span></dt>
+<dd><code>transtion</code> - the transition link to this arc</dd>
+<dd><code>place</code> - the place link to this arc</dd>
+<dd><code>the</code> - value of this arc</dd>
+<dd><code>identifier</code> - the integer that correspond to the type of arc (define as static)</dd>
 <dt><span class="throwsLabel">Throws:</span></dt>
 <dd><code><a href="Network.UndefinedIdentifier.html" title="class in main">Network.UndefinedIdentifier</a></code></dd>
 </dl>
@@ -431,6 +455,7 @@
 <li class="blockList">
 <h4>deleteArc</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;deleteArc&#8203;(<a href="../arcElement/Arc.html" title="class in arcElement">Arc</a>&nbsp;a)</pre>
+<div class="block">delete an arc</div>
 </li>
 </ul>
 <a id="deletePlace(element.Place)">
@@ -440,6 +465,7 @@
 <li class="blockList">
 <h4>deletePlace</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;deletePlace&#8203;(<a href="../element/Place.html" title="class in element">Place</a>&nbsp;place)</pre>
+<div class="block">delete a place an the arcs link to it</div>
 </li>
 </ul>
 <a id="deleteTransition(element.Transition)">
@@ -449,6 +475,7 @@
 <li class="blockList">
 <h4>deleteTransition</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;deleteTransition&#8203;(<a href="../element/Transition.html" title="class in element">Transition</a>&nbsp;transition)</pre>
+<div class="block">delete a transition</div>
 </li>
 </ul>
 <a id="fire(element.Transition)">
@@ -458,6 +485,7 @@
 <li class="blockList">
 <h4>fire</h4>
 <pre class="methodSignature">public&nbsp;void&nbsp;fire&#8203;(<a href="../element/Transition.html" title="class in element">Transition</a>&nbsp;transition)</pre>
+<div class="block">fire the transition selected</div>
 </li>
 </ul>
 <a id="toString()">
@@ -467,6 +495,7 @@
 <li class="blockList">
 <h4>toString</h4>
 <pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
+<div class="block">string  representation of a network</div>
 <dl>
 <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
 <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>